## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           wildcardtl
Summary:        Wildcard template library
Version:        1.0.0
Release:        %autorelease

License:        BSL-1.0
URL:            https://github.com/BenHanson/wildcardtl
Source:         %{url}/archive/%{version}/wildcardtl-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  dos2unix

# No compiled binaries are installed, so this would be empty.
%global debug_package %{nil}

%global common_description %{expand:
%{summary}.}

%description %{common_description}


%package devel
Summary:        %{summary}

BuildArch:      noarch

# Header-only library:
Provides:       wildcardtl-static = %{version}-%{release}

%description devel %{common_description}


%prep
%autosetup -n wildcardtl-%{version}
# Fix line terminations (particularly for files that may be installed)
find . -type f -exec file '{}' '+' |
  grep -E '\bCRLF\b' |
  cut -d ':' -f 1 |
  xargs -r dos2unix


# Nothing to build


%install
install -d '%{buildroot}%{_includedir}'
cp -rvp include/wildcardtl '%{buildroot}%{_includedir}/'


%check
# Compile-and-link “smoke test”:
cat > smoke_test.cpp <<'EOF'
#include "wildcardtl/wildcard.hpp"
int main(int, char*[]) { return 0; }
EOF
${CXX} -I"${PWD}/include" ${CPPFLAGS} ${CXXFLAGS} -o smoke_test ${LDFLAGS} \
    smoke_test.cpp


%files devel
%license include/wildcardtl/licence_1_0.txt
%doc README.md

%{_includedir}/wildcardtl/


%changelog
## START: Generated by rpmautospec
* Tue Jan 28 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 1.0.0-2
- Add an rpmlintrc file

* Tue Jan 28 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 1.0.0-1
- Initial package (close RHBZ#2238219)
## END: Generated by rpmautospec
